import { AccessoryConfig, AccessoryPlugin, API, CharacteristicValue, Logging, Service } from 'homebridge';
export declare class WinixPurifierAccessory implements AccessoryPlugin {
    private readonly hap;
    private readonly log;
    private readonly deviceName;
    private readonly deviceId;
    private readonly deviceStatus;
    private readonly services;
    private readonly purifier;
    private readonly airQuality?;
    private readonly plasmawave?;
    constructor(log: Logging, config: AccessoryConfig, api: API);
    getActiveState(): Promise<CharacteristicValue>;
    setActiveState(state: CharacteristicValue): Promise<void>;
    getCurrentState(): Promise<CharacteristicValue>;
    getTargetState(): Promise<CharacteristicValue>;
    setTargetState(state: CharacteristicValue): Promise<void>;
    getRotationSpeed(): Promise<CharacteristicValue>;
    setRotationSpeed(state: CharacteristicValue): Promise<void>;
    getAirQuality(): Promise<CharacteristicValue>;
    getPlasmawave(): Promise<CharacteristicValue>;
    setPlasmawave(state: CharacteristicValue): Promise<void>;
    private sendHomekitUpdate;
    private toActiveState;
    private toCurrentState;
    private toTargetState;
    private toRotationSpeed;
    private toAirflow;
    private toAirQuality;
    private toSwitch;
    private toPlasmawave;
    private registerService;
    getServices(): Service[];
}
//# sourceMappingURL=accessory.d.ts.map